Subject: bug#64133: CC Mode 5.35.2 (C/*l); incorrect indentation for an arrays of structs.

From: Jeff Norden <[email-masked]>
Date: Sat, 17 Jun 2023 12:36:30 -0500

On Sat, Jun 17, 2023 at 11:27 AM Eli Zaretskii <[email-masked]> wrote:
> Thanks, I will let Alan chime in and decide whether this should be
> closed.
Actually, I now think that changing the style works because the gnu
style has
  (substatement-open . +)
in c-offsets-alist, while linux uses (substatement-open . 0).  With
either style, I initially get substatemnt syntax from "C-c C-s", which
changes to brace-list when I delete space and re-indent.

This issue *doesn't* occur if the opening brace is on its own line,
and it looks like most styles other than gnu do not indent
sub-statements.  So, I still think this bug can be closed, but maybe
the resolution could be "mostly harmless" :-).